import request from "@/utils/request";
// 获取月统计、当前入库类型统计、物资类型统计接口
export const getHomeState = (data) => {
  return request({
    url: "/stat/home",
    method: "post",
    data: data,
  });
};
// 入库类型统计 - 时间查询
export const getInTypeByTime = (data) => {
  return request({
    url: "/stat/inTypeByTime",
    method: "post",
    data: data,
  });
};
// 出库类型统计 - 时间查询
export const getOutTypeByTime = (data) => {
  return request({
    url: "/stat/outTypeByTime",
    method: "post",
    data: data,
  });
};
// 通知公告展示
export const getNoticeList= () => {
  return request({
    url: "/system/notice/list",
    method: "get",
  });
};

// 预警 + 库龄统计(库龄超过30/60天统计)
export const getAgeLong = () => {
  return request({
    url: "/stat/stockAge/stat",
    method: "get",
  });
};

// 仓库使用率
export const getInventoryReview = () => {
  return request({
    url: "/stat/warehouse/slot",
    method: "get",
  });
};

// 待办事项(应到未到统计)
export const getWait = (params) => {
  return request({
    url: "/stat/todo",
    method: "get",
    params,
  });
};


// 入/出库指标统计(天级出入库统计)
export const getDailyInventory = (params) => {
  return request({
    url: "/stat/week/daily",
    method: "get",
    params,
  });
};


